Jonathan Allen wrote:
> Hi List,
>
> So what's with 3.2.1 ? I'm running 3.1.8 and did the standard:
>
> cpan Mail::SpamAssassin
>


Symptom of bug 5510 that affects 3.2.1:

http://issues.apache.org/SpamAssassi...ug.cgi?id=5510

Essentially, make test will always fail if run as root, which is exactly
what CPAN does.

Unfortunately, this is fixed, but it's targeted for release in 3.2.2,
which isn't out yet..

You can either force install, or install from a tarball and do your
make/make test as a non-root user, then su to root for the make install
part.